﻿@using SonicHRM.Helpers
@model SonicHRM.Models.ViewModels.CalculateSalaryViewModel

@{
    ViewData["Title"] = "CalculateSalary";
    var salaries = (List<CalculatedSalaryViewModel>)ViewBag.Salaries;
}


<section class="content">
    <div class="row">
        @{
            if ((ViewAlertParam)ViewData["Alert"] != null)
            {
                await Html.RenderPartialAsync("_AlertPartial", (ViewAlertParam)ViewData["Alert"]);
            }
        }
        <!-- left column -->
        <div class="col-xs-12">
            <!-- general form elements -->
            <div class="box box-primary">
                <div class="box-header">
                    <h3 class="box-title">Employee Details</h3>
                </div><!-- /.box-header -->
                <!-- form start -->
                <form asp-action="CalculateSalary">
                    <div class="box-body">
                        <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                        <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                        <div class="form-group">
                            <label asp-for="StartDate" class="control-label"></label>
                            <input asp-for="StartDate" class="form-control" />
                            <span asp-validation-for="StartDate" class="text-danger"></span>
                        </div>
                        <div class="form-group">
                            <label asp-for="EndDate" class="control-label"></label>
                            <input asp-for="EndDate" class="form-control" />
                            <span asp-validation-for="EndDate" class="text-danger"></span>
                        </div>
                        <div class="form-group">
                            <label asp-for="BonusPercent" class="control-label"></label>
                            <input asp-for="BonusPercent" class="form-control" />
                            <span asp-validation-for="BonusPercent" class="text-danger"></span>
                        </div>
                        <div class="form-group">
                            <input type="submit" value="Calculate" class="btn btn-default" />
                        </div>
                    </div>
                </form>
            </div><!-- /.box -->
        </div>
    </div>
    @if (salaries != null)
    {
        <div class="row">
            <div class="col-xs-12">
                <div class="box">
                    <div class="box-header">
                        <h3 class="box-title">Current Salary Informations</h3>
                    </div><!-- /.box-header -->
                    <div class="box-body">
                        <table id="example1" class="table table-bordered table-striped">
                            <thead>
                                <tr>
                                    <th>Name</th>
                                    <th>Email</th>
                                    <th>Designation</th>
                                    <th>Time From</th>
                                    <th>Time To</th>
                                    <th>Working Days</th>
                                    <th>Gross Salary</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach (var salary in salaries)
                                {
                                    <tr>
                                        <td>@salary.Name</td>
                                        <td>@salary.Email</td>
                                        <td>@salary.Designation</td>
                                        <td>@salary.TimeFrom</td>
                                        <td>@salary.TimeTo</td>
                                        <td>@salary.WorkingDays</td>
                                        <td>@salary.GrossSalary</td>
                                    </tr>
                                }
                            </tbody>
                            <tfoot>
                                <tr>
                                    <th>Name</th>
                                    <th>Email</th>
                                    <th>Designation</th>
                                    <th>Time From</th>
                                    <th>Time To</th>
                                    <th>Working Days</th>
                                    <th>Gross Salary</th>
                                </tr>
                            </tfoot>
                        </table>
                    </div><!-- /.box-body -->
                </div><!-- /.box -->
            </div>
        </div>
    }
</section>

